### Enumeration

# Gio DataStreamByteOrder

#### Declaration

    enum Gio.DataStreamByteOrder

#### Description [src]

`GDataStreamByteOrder` is used to ensure proper endianness of streaming data sources across various machine architectures.

#### Members

Name | Description
--- | ---
`G_DATA_STREAM_BYTE_ORDER_BIG_ENDIAN` | Selects Big Endian byte order.
`G_DATA_STREAM_BYTE_ORDER_LITTLE_ENDIAN` | Selects Little Endian byte order.
`G_DATA_STREAM_BYTE_ORDER_HOST_ENDIAN` | Selects endianness based on host machine’s architecture.